Package Gnumed :: Package business :: Module gmVaccination :: Class cVaccine |
[frames] | no frames]

# Class cVaccine

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cVaccine

Represents one vaccine.

Instance Methods
get_indications(self) | source code
set_indications(self, indications=None, pk_indications=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| indications = `property(get_indications, lambda x: x)`
| brand = `property(_get_brand, lambda x: x)`
| is_in_use = `property(_get_is_in_use, lambda x: x)`

Properties
Inherited from `object`: `__class__`